%low level processing using for loop
x = .01;
tic  %start the timer
for k = 1:1001
y(k) = log10(x);
x = x + .01;
end
t1 = toc;%the processing time
%A vectorized version of the same code is
tic
x = .01:.01:10;
y = log10(x);
t2 = toc;
disp(t1);
disp(t2);